> ## Documentation Index
> Fetch the complete documentation index at: https://docs.klipl.ink/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

<Warning>
  Never share your KlipLink API Key or expose it in client-side code. KlipLink will never ask for your API Key directly.
</Warning>

All KlipLink API requests require an API key. Include it in your request headers:

```shellscript theme={null}
Authorization: Bearer YOUR_API_KEY
```

<RequestExample>
  ```shellscript Authentication Example theme={null}
  curl -X GET "https://api.klipl.ink/v1/links" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

## API Keys

You can find your api keys in the KlipLink Dashboard:

<Steps>
  <Step title="Log in to KlipLink">
    [**Log in**](https://klipl.ink/login/) to your KlipLink account
  </Step>

  <Step title="Navigate to the API Keys section">
    In your dashboard, navigate to:

    > KlipLink > App > **API Keys**
  </Step>

  <Step title="Create a new API Key">
    Navigate to:

    > **+ New API Key**

    Then give your API Key a label so you can refer back to it later. Then click **"Create"**

    <Tip>
      API Key labels can only contain letters and numbers.
    </Tip>
  </Step>
</Steps>
